const express = require("express");
const router = express.Router();
const artigosMaquina = require("../controllers/artigosMaquinaController");

// Route for getting all artigosMaquina
router.get("/artigosMaquina", artigosMaquina.getAllArtigosMaquina);

// Route for getting a specific user by ID
router.get("/artigosMaquina/:id", artigosMaquina.getArtigoMaquinaById);

// Route for creating a new user
router.post("/artigosMaquina", artigosMaquina.createArtigoMaquina);

// Route for updating a user by ID
router.put("/artigosMaquina/:id", artigosMaquina.updateArtigoMaquina);

// Route for deleting a user by ID
router.delete("/artigosMaquina/:id", artigosMaquina.deleteArtigoMaquina);

module.exports = router;
